Bug 26688 - RFE: Update valgrind headers
Summary: RFE: Update valgrind headers
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-02-03 09:28 UTC by Michael Cronenworth
Modified: 2015-02-05 20:53 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Michael Cronenworth 2015-02-03 09:28:30 UTC
The Valgrind headers contained in Mono are from Valgrind 3.8. Please update the headers to the latest version: 3.10.1.

The latest version contains support for ARM/PPC 64-bit and fixes for PPC 32-bit.
Comment 1 Zoltan Varga 2015-02-05 20:53:45 UTC
Fixed in mono master 1445d4821c8091c395264542344dca9df22a2c82.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 26688 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: